Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -13724,32 +26836,66 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'chap'   ChapterList                          N
+  'cdsc'   ContentDescribes                     no
+  'chap'   ChapterListTrackID                   no
+  'mpod'   ElementaryStreamTrack                no
+  'tmcd'   TimeCode                             no
 
 =head3 QuickTime UserData Tags
 
 Tag ID's beginning with the copyright symbol (hex 0xa9) are multi-language
-text.  Alternate language tags are accessed by adding a dash followed by the
-language/country code to the tag name.  ExifTool will extract any
-multi-language user data tags found, even if they don't exist in this table.
+text.  Alternate language tags are accessed by adding a dash followed by a
+3-character ISO 639-2 language code to the tag name.  ExifTool will extract
+any multi-language user data tags found, even if they aren't in this table.
+Note when creating new tags,
+L<ItemList|Image::ExifTool::TagNames/QuickTime ItemList Tags> tags are
+preferred over these, so to create the tag when a same-named ItemList tag
+exists, either "UserData" must be specified (eg. C<-UserData:Artist=Monet>
+on the command line), or the PREFERRED level must be changed via
+the config file.
 
   Tag ID       Tag Name                         Writable
   ------       --------                         --------
-  'AllF'       PlayAllFrames                    N
-  'CNCV'       CompressorVersion                N
-  'CNFV'       FirmwareVersion                  N
-  'CNMN'       Model                            N
+  '@day'       ContentCreateDate                string/
+  '@mak'       Make                             string/
+  '@mod'       Model                            string/
+  '@sec'       SamsungSec                       Samsung sec
+  '@swr'       SoftwareVersion                  string/
+  '@xyz'       GPSCoordinates                   string/
+  'AllF'       PlayAllFrames                    int8u
+  'CAME'       SerialNumberHash                 string
+  'CNCV'       CompressorVersion                string
+  'CNFV'       FirmwareVersion                  string
+  'CNMN'       Model                            string/
+  'CNOP'       CanonCNOP                        Canon CNOP
   'CNTH'       CanonCNTH                        Canon CNTH
-  'DcMD'       DcMD                             QuickTime DcMD
+  'DcMD'       KodakDcMD                        Kodak DcMD
   'FFMV'       FujiFilmFFMV                     FujiFilm FFMV
+  'FIRM'       FirmwareVersion                  string/
+  "FOV\0"      FieldOfView                      string
+  'GPMF'       GoProGPMF                        GoPro GPMF
+  'GoPr'       GoProType                        string
   'INFO'       SamsungINFO                      Samsung INFO
-  'LOOP'       LoopStyle                        N
+  'LEIC'       LeicaLEIC                        Panasonic PANA
+  'LENS'       LensSerialNumber                 string
+  'LOOP'       LoopStyle                        int32u
+  'Lvlm'       LevelMeter?                      rational64s
   'MMA0'       MinoltaMMA0                      Minolta MMA
   'MMA1'       MinoltaMMA1                      Minolta MMA
   'MVTG'       FujiFilmMVTG                     EXIF
   'NCDT'       NikonNCDT                        Nikon NCDT
+  'PANA'       PanasonicPANA                    Panasonic PANA
+  'PENT'       PentaxPENT                       Pentax PENT
+  'PXMN'       MakerNotePentax5b                Pentax
+               MakerNotePentax5c                Pentax
+               MakerNotePentaxUnknown           string
+  'PXTH'       PentaxPreview                    Pentax PXTH
   'QVMI'       CasioQVMI                        EXIF
-  'SDLN'       PlayMode                         N
-  'SelO'       PlaySelection                    N
-  'TAGS'       KodakTags                        Kodak MOV
+  'RMKN'       RicohRMKN                        EXIF
+  'RTHU'       PreviewImage                     no
+  'SDLN'       PlayMode                         string
+  'SNum'       SerialNumber                     string/
+  'SelO'       PlaySelection                    int8u
+  'TAGS'       FujiFilmTags                     FujiFilm MOV
+               KodakTags                        Kodak MOV
                KonicaMinoltaTags                Minolta MOV1
                MinoltaTags                      Minolta MOV2
@@ -13758,143 +26904,242 @@
                OlympusTags2                     Olympus MOV2
                OlympusTags3                     Olympus MP4
+               OlympusTags4                     Olympus MOV3
                PentaxTags                       Pentax MOV
                SamsungTags                      Samsung MP4
                SanyoMOV                         Sanyo MOV
                SanyoMP4                         Sanyo MP4
-               UnknownTags?                     N
-  'WLOC'       WindowLocation                   N
+               UnknownTags?                     string
+  'TTMD'       TomTomMetaData                   QuickTime TomTom
+  'WLOC'       WindowLocation                   int16u
   'XMP_'       XMP                              XMP
+  'Xtra'       MicrosoftXtra                    Microsoft Xtra
+  '_cx_'       CX?                              rational64s
+  '_cy_'       CY?                              rational64s
+  '_yaw'       Yaw                              rational64s/
+  'albm'       Album                            string/
+  'albr'       AlbumArtist                      string
+  'angl'       CameraAngle                      string
+  'apmd'       ApertureMode                     undef
+  'auth'       Author                           string/
+  'ccid'       ContentID                        string
+  'cdis'       ContentDistributorID             string
+  'chpl'       ChapterList                      no
+  'clfn'       ClipFileName                     string
+  'clid'       ClipID                           string
+  'clsf'       Classification                   no
+  'cmid'       CameraID                         string
+  'cmnm'       Model                            string/
+  'coll'       CollectionName                   string/
+  'cprt'       Copyright                        string/
+  'cver'       CodeVersion                      string
+  'cvru'       CoverURI                         string
+  'date'       DateTimeOriginal                 string
+  'dscp'       Description                      string/
+  'gnre'       Genre                            string/
   'hinf'       HintTrackInfo                    QuickTime HintTrackInfo
+  'hinv'       HintVersion                      string
   'hnti'       HintInfo                         QuickTime HintInfo
+  'htcb'       HTCBinary                        QuickTime HTCBinary
+  'icnu'       IconURI                          string
+  'infu'       InfoURL                          string
+  'kgtt'       TrackType                        string
+  'kywd'       Keywords                         no
+  'loci'       LocationInformation              no
+  'lrcu'       LyricsURI                        string
+  'lvlm'       LevelMeter?                      rational64s
+  'manu'       Make                             no
   'meta'       Meta                             QuickTime Meta
-  'name'       Name                             N
+  'modl'       Model                            no
+  'name'       Name                             string
+  'perf'       Performer                        string/
+  'pmcc'       GarminSettings                   string
+  'pose'       pose                             Kodak pose
+  'ptch'       Pitch                            rational64s/
   'ptv '       PrintToVideo                     QuickTime Video
-  'vndr'       Vendor                           N
-  "\xa9ART"    Artist                           N
-  "\xa9alb"    Album                            N
-  "\xa9arg"    Arranger                         N
-  "\xa9ark"    ArrangerKeywords                 N
-  "\xa9cmt"    Comment                          N
-  "\xa9cok"    ComposerKeywords                 N
-  "\xa9com"    Composer                         N
-  "\xa9cpy"    Copyright                        N
-  "\xa9day"    CreateDate                       N
-  "\xa9dir"    Director                         N
-  "\xa9ed1"    Edit1                            N
-  "\xa9ed2"    Edit2                            N
-  "\xa9ed3"    Edit3                            N
-  "\xa9ed4"    Edit4                            N
-  "\xa9ed5"    Edit5                            N
-  "\xa9ed6"    Edit6                            N
-  "\xa9ed7"    Edit7                            N
-  "\xa9ed8"    Edit8                            N
-  "\xa9ed9"    Edit9                            N
-  "\xa9fmt"    Format                           N
-  "\xa9gen"    Genre                            N
-  "\xa9grp"    Grouping                         N
-  "\xa9inf"    Information                      N
-  "\xa9isr"    ISRCCode                         N
-  "\xa9lab"    RecordLabelName                  N
-  "\xa9lal"    RecordLabelURL                   N
-  "\xa9lyr"    Lyrics                           N
-  "\xa9mak"    Make                             N
-  "\xa9mal"    MakerURL                         N
-  "\xa9mod"    Model                            N
-  "\xa9nam"    Title                            N
-  "\xa9pdk"    ProducerKeywords                 N
-  "\xa9phg"    RecordingCopyright               N
-  "\xa9prd"    Producer                         N
-  "\xa9prf"    Performers                       N
-  "\xa9prk"    PerformerKeywords                N
-  "\xa9prl"    PerformerURL                     N
-  "\xa9req"    Requirements                     N
-  "\xa9snk"    SubtitleKeywords                 N
-  "\xa9snm"    Subtitle                         N
-  "\xa9src"    SourceCredits                    N
-  "\xa9swf"    SongWriter                       N
-  "\xa9swk"    SongWriterKeywords               N
-  "\xa9swr"    SoftwareVersion                  N
-  "\xa9too"    Encoder                          N
-  "\xa9trk"    Track                            N
-  "\xa9wrt"    Composer                         N
-  "\xa9xyz"    GPSCoordinates                   N
-
-=head3 QuickTime DcMD Tags
-
-Metadata directory found in MOV videos from some Kodak cameras.
+  'rads'       Rads?                            rational64s
+  'reel'       ReelName                         string
+  'roll'       Roll                             rational64s/
+  'rtng'       Rating                           no
+  'scen'       Scene                            string
+  'scrn'       OlympusPreview                   Olympus scrn
+  'shot'       ShotName                         string
+  'slno'       SerialNumber                     string
+  'smta'       SamsungSmta                      Samsung smta
+  'tags'       Audible_tags                     Audible tags
+  'thmb'       MakerNotePentax5a                Pentax
+               OlympusThumbnail                 Olympus thmb
+               ThumbnailImage                   string
+               ThumbnailPNG                     string
+               UnknownThumbnail                 string
+  'titl'       Title                            string/
+  'urat'       UserRating                       no
+  'uuid'       GarminSoftware                   string
+               UUID-Unknown?                    no
+  'vndr'       Vendor                           string
+  'vrot'       AccelerometerData                no
+  'yrrc'       Year                             no
+  "\xa9ART"    Artist                           string
+  "\xa9TIM"    StartTimecode                    string
+  "\xa9TSC"    StartTimeScale                   string
+  "\xa9TSZ"    StartTimeSampleSize              string
+  "\xa9alb"    Album                            string
+  "\xa9arg"    Arranger                         string
+  "\xa9ark"    ArrangerKeywords                 string
+  "\xa9cmt"    Comment                          string
+  "\xa9cok"    ComposerKeywords                 string
+  "\xa9com"    Composer                         string
+  "\xa9cpy"    Copyright                        string
+  "\xa9day"    ContentCreateDate                string
+  "\xa9dir"    Director                         string
+  "\xa9ed1"    Edit1                            string
+  "\xa9ed2"    Edit2                            string
+  "\xa9ed3"    Edit3                            string
+  "\xa9ed4"    Edit4                            string
+  "\xa9ed5"    Edit5                            string
+  "\xa9ed6"    Edit6                            string
+  "\xa9ed7"    Edit7                            string
+  "\xa9ed8"    Edit8                            string
+  "\xa9ed9"    Edit9                            string
+  "\xa9enc"    EncoderID                        string
+  "\xa9fmt"    Format                           string
+  "\xa9fpt"    Pitch                            string
+  "\xa9frl"    Roll                             string
+  "\xa9fyw"    Yaw                              string
+  "\xa9gen"    Genre                            string
+  "\xa9gpt"    CameraPitch                      string
+  "\xa9grl"    CameraRoll                       string
+  "\xa9grp"    Grouping                         string
+  "\xa9gyw"    CameraYaw                        string
+  "\xa9inf"    Information                      string
+  "\xa9isr"    ISRCCode                         string
+  "\xa9lab"    RecordLabelName                  string
+  "\xa9lal"    RecordLabelURL                   string
+  "\xa9lyr"    Lyrics                           string
+  "\xa9mak"    Make                             string
+  "\xa9mal"    MakerURL                         string
+  "\xa9mdl"    Model                            string/
+  "\xa9mod"    Model                            string
+  "\xa9nam"    Title                            string
+  "\xa9pdk"    ProducerKeywords                 string
+  "\xa9phg"    RecordingCopyright               string
+  "\xa9prd"    Producer                         string
+  "\xa9prf"    Performers                       string
+  "\xa9prk"    PerformerKeywords                string
+  "\xa9prl"    PerformerURL                     string
+  "\xa9req"    Requirements                     string
+  "\xa9snk"    SubtitleKeywords                 string
+  "\xa9snm"    Subtitle                         string
+  "\xa9src"    SourceCredits                    string
+  "\xa9swf"    SongWriter                       string
+  "\xa9swk"    SongWriterKeywords               string
+  "\xa9swr"    SoftwareVersion                  string
+  "\xa9too"    Encoder                          string
+  "\xa9trk"    Track                            string
+  "\xa9wrt"    Composer                         string/
+  "\xa9xsp"    SpeedX                           string
+  "\xa9xyz"    GPSCoordinates                   string
+  "\xa9ysp"    SpeedY                           string
+  "\xa9zsp"    SpeedZ                           string
+
+=head3 QuickTime TomTom Tags
+
+Tags found in TomTom Bandit Action Cam MP4 videos.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Cmbo'   CameraByteOrder                      N
-  'DcME'   DcME                                 QuickTime DcME
-
-=head3 QuickTime DcME Tags
+  'TTAD'   TomTomAD                             QuickTime Stream
+  'TTHL'   TomTomHL?                            no
+  'TTID'   TomTomID                             no
+  'TTVD'   TomTomVD                             no
+  'TTVI'   TomTomVI?                            no
+
+=head3 QuickTime HintTrackInfo Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
+  'dimm'   ImmediateDataBytes                   no
+  'dmax'   LargestPacketDuration                no
+  'dmed'   MediaTrackBytes                      no
+  'drep'   RepeatedDataBytes                    no
+  'maxr'   MaxDataRate                          no
+  'npck'   NumPackets                           no
+  'nump'   NumPackets                           no
+  'payt'   PayloadType                          no
+  'pmax'   LargestPacketSize                    no
+  'tmax'   MaxTransmissionTime                  no
+  'tmin'   MinTransmissionTime                  no
+  'totl'   TotalBytes                           no
+  'tpaY'   TotalBytesNoRTPHeaders               no
+  'tpay'   TotalBytesNoRTPHeaders               no
+  'tpyl'   TotalBytesNoRTPHeaders               no
+  'trpY'   TotalBytes                           no
+  'trpy'   TotalBytes                           no
+
+=head3 QuickTime HintInfo Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'rtp '   RealtimeStreamingProtocol            no
+  'sdp '   StreamingDataProtocol                no
+
+=head3 QuickTime HTCBinary Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
-=head3 QuickTime HintTrackInfo Tags
+=head3 QuickTime Video Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    DisplaySize                          no
+      6    SlideShow                            no
+
+=head3 QuickTime UserMedia Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'dimm'   ImmediateDataBytes                   N
-  'dmax'   LargestPacketDuration                N
-  'dmed'   MediaTrackBytes                      N
-  'drep'   RepeatedDataBytes                    N
-  'maxr'   MaxDataRate                          N
-  'npck'   NumPackets                           N
-  'nump'   NumPackets                           N
-  'payt'   PayloadType                          N
-  'pmax'   LargestPacketSize                    N
-  'tmax'   MaxTransmissionTime                  N
-  'tmin'   MinTransmissionTime                  N
-  'totl'   TotalBytes                           N
-  'tpaY'   TotalBytesNoRTPHeaders               N
-  'tpay'   TotalBytesNoRTPHeaders               N
-  'tpyl'   TotalBytesNoRTPHeaders               N
-  'trpY'   TotalBytes                           N
-  'trpy'   TotalBytes                           N
-
-=head3 QuickTime HintInfo Tags
+  'MTDT'   MetaData                             QuickTime MetaData
+
+=head3 QuickTime MetaData Tags
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'rtp '   RealtimeStreamingProtocol            N
-  'sdp '   StreamingDataProtocol                N
-
-=head3 QuickTime Video Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    DisplaySize                          N
-      6    SlideShow                            N
-
-=head3 QuickTime UserMedia Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'MTDT'   MetaData                             QuickTime MetaData
-
-=head3 QuickTime MetaData Tags
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0001   Title                                N
-  0x0003   ProductionDate                       N
-  0x0004   Software                             N
-  0x0005   Product                              N
-  0x000a   TrackProperty                        N
-  0x000b   TimeZone                             N
-  0x000c   ModifyDate                           N
+  0x0001   Title                                no
+  0x0003   ProductionDate                       no
+  0x0004   Software                             no
+  0x0005   Product                              no
+  0x000a   TrackProperty                        no
+  0x000b   TimeZone                             no
+  0x000c   ModifyDate                           no
+
+=head3 QuickTime MovieHeader Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    MovieHeaderVersion                   no
+      1    CreateDate                           int32u
+      2    ModifyDate                           int32u
+      3    TimeScale                            no
+      4    Duration                             no
+      5    PreferredRate                        no
+      6    PreferredVolume                      no
+      9    MatrixStructure                      no
+     18    PreviewTime                          no
+     19    PreviewDuration                      no
+     20    PosterTime                           no
+     21    SelectionTime                        no
+     22    SelectionDuration                    no
+     23    CurrentTime                          no
+     24    NextTrackID                          no
 
 =head3 QuickTime Preview Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    PreviewDate                          N
-      2    PreviewVersion                       N
-      3    PreviewAtomType                      N
-      5    PreviewAtomIndex                     N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    PreviewDate                          int32u
+      2    PreviewVersion                       no
+      3    PreviewAtomType                      no
+      5    PreviewAtomIndex                     no
 
 =head3 QuickTime Profile Tags
@@ -13904,42 +27149,43 @@
   'APRF'   AudioProfile                         QuickTime AudioProf
   'FPRF'   FileGlobalProfile                    QuickTime FileProf
+  'OLYM'   OlympusOLYM                          Olympus OLYM
   'VPRF'   VideoProfile                         QuickTime VideoProf
 
 =head3 QuickTime AudioProf Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    AudioProfileVersion?                 N
-      1    AudioTrackID                         N
-      2    AudioCodec                           N
-      3    AudioCodecInfo?                      N
-      4    AudioAttributes                      N
-      5    AudioAvgBitrate                      N
-      6    AudioMaxBitrate                      N
-      7    AudioSampleRate                      N
-      8    AudioChannels                        N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    AudioProfileVersion?                 no
+      1    AudioTrackID                         no
+      2    AudioCodec                           no
+      3    AudioCodecInfo?                      no
+      4    AudioAttributes                      no
+      5    AudioAvgBitrate                      no
+      6    AudioMaxBitrate                      no
+      7    AudioSampleRate                      no
+      8    AudioChannels                        no
 
 =head3 QuickTime FileProf Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    FileProfileVersion?                  N
-      1    FileFunctionFlags                    N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    FileProfileVersion?                  no
+      1    FileFunctionFlags                    no
 
 =head3 QuickTime VideoProf Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    VideoProfileVersion?                 N
-      1    VideoTrackID                         N
-      2    VideoCodec                           N
-      3    VideoCodecInfo?                      N
-      4    VideoAttributes                      N
-      5    VideoAvgBitrate                      N
-      6    VideoMaxBitrate                      N
-      7    VideoAvgFrameRate                    N
-      8    VideoMaxFrameRate                    N
-      9    VideoSize                            N
-     10    PixelAspectRatio                     N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    VideoProfileVersion?                 no
+      1    VideoTrackID                         no
+      2    VideoCodec                           no
+      3    VideoCodecInfo?                      no
+      4    VideoAttributes                      no
+      5    VideoAvgBitrate                      no
+      6    VideoMaxBitrate                      no
+      7    VideoAvgFrameRate                    no
+      8    VideoMaxFrameRate                    no
+      9    VideoSize                            no
+     10    PixelAspectRatio                     no
 
 =head3 QuickTime Flip Tags
@@ -13947,11 +27193,77 @@
 Found in MP4 files from Flip Video cameras.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    PreviewImageWidth                    N
-      2    PreviewImageHeight                   N
-     13    PreviewImageLength                   N
-     14    SerialNumber                         N
-     28    PreviewImage                         N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    PreviewImageWidth                    no
+      2    PreviewImageHeight                   no
+     13    PreviewImageLength                   no
+     14    SerialNumber                         no
+     28    PreviewImage                         no
+
+=head3 QuickTime Tags360Fly Tags
+
+Timed metadata found in MP4 videos from the 360Fly.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   Accel360Fly                          QuickTime Accel360Fly
+  0x0002   Gyro360Fly                           QuickTime Gyro360Fly
+  0x0003   Mag360Fly                            QuickTime Mag360Fly
+  0x0005   GPS360Fly                            QuickTime GPS360Fly
+  0x0006   Rot360Fly                            QuickTime Rot360Fly
+  0x00fa   Fusion360Fly                         QuickTime Fusion360Fly
+
+=head3 QuickTime Accel360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    AccelMode?                           no
+      2    SampleTime                           no
+     10    AccelYPR                             no
+
+=head3 QuickTime Gyro360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    GyroMode?                            no
+      2    SampleTime                           no
+     10    GyroYPR                              no
+
+=head3 QuickTime Mag360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    MagMode?                             no
+      2    SampleTime                           no
+     10    MagnetometerXYZ                      no
+
+=head3 QuickTime GPS360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    GPSMode?                             no
+      2    SampleTime                           no
+     10    GPSLatitude                          no
+     14    GPSLongitude                         no
+     18    GPSAltitude                          no
+     22    GPSSpeed                             no
+     24    GPSTrack                             no
+     26    Acceleration                         no
+
+=head3 QuickTime Rot360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    RotMode?                             no
+      2    SampleTime                           no
+     10    RotationXYZ                          no
+
+=head3 QuickTime Fusion360Fly Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    FusionMode?                          no
+      2    SampleTime                           no
+     10    FusionYPR                            no
 
 =head3 QuickTime ImageFile Tags
